# Publication note

Version 1.3.0 of the D-SI reference implementation in XML is published at

[Zenodo Repository DOI 10.5281/zenodo.3366902](https://zenodo.org/record/3366902#.XabORWbgpaQ)

The machine-readable version of SI_Format.xsd is available at

[Digital-SI (D-SI) XML - machine-readable provision of v1.3.0 XML scheme](https://www.ptb.de/si/v1.3.0/SI_Format.xsd)

[Digital-SI (D-SI) XML - machine-readable provision of latest XML schemes](https://www.ptb.de/si/SI_Format.xsd)



# XSD

Schema files and instance examples for the XML implementation of the Digital System of Units (D-SI) data model.

**SI_Format.xsd Version 1.3.0 (status: ready for publication)**

- complete real and complex
- real constants
- lists of real and complex
- hybrid for non-SI quantities



**Change History SI_Format.xsd**

*2019-08-13*

- change element tag stdUncertainty to standardUnc (proposla from Ostfalia)
- added examples for hybrid documentation

*2019-08-07*

- changed type of all decimal values to base type xs:double (https://gitlab1.ptb.de/d-ptb/d-si/xsd-d-si/issues/8#note_2117)
- change of names and order of global unit and uncertainty statements in si:list (https://gitlab1.ptb.de/d-ptb/d-si/xsd-d-si/issues/11#note_2118)
- introduction of type for SI units based on xs:string (https://gitlab1.ptb.de/d-ptb/d-si/xsd-d-si/issues/10#note_2119)
- Introduction of sub types for uncertainty in si:real (coverage interval with mandatory std. unc.) (https://gitlab1.ptb.de/d-ptb/d-si/xsd-d-si/issues/9#note_2120)
- change of namespace to `https://ptb.de/si`
- change of XML scheme version 1.1 to 1.0


*2019-06-17*	

- changed documentation of elements from comment structure to annotation elements
- added correct EURAMET acknowledgement to disclaimer annotation.
- removed definition of intervalType
- updated existing documentation of all elements
- added missing documentation for latest elements

*2019-06-17*	

- changed element tag "valueAmplitude" to "valueMagnitude" (in complex)

*2019-06-14*	

- updated SI test scheme to new namespace and removed reference to comma separated types
- added new structure with global units and global bivariate uncertainty for list of complex
- change position of global label element in list
- added definition of recursive list of lists

- update of definition of constant quantity and change of position in xsd
- removed XML adapter in hybrid

*2019-06-13*	

- removed comma separated value types
- added new namespace URL https://www.ptb.de/si/smartcom/d-si/v1_2_0
- added univariate uncertainty elements expandedUnc and coverageInterval
- completely changed the structure of real with new univariate uncertainty elements
- in real, the new first component is the label

- added the new structure of complex quantities
- in complex, the new first component is the label
- added the new element for the covariance matrix
- changed the definition of the elements for the ellipsoidal coverage region by adding the new covariance matrix element
- changed the definition of the elements for the rectangular coverage region by adding the new covariance matrix element

- checked the definition of the atomic list
- in list, the new first component is the label
- added a new element for global univariate and global bivariate uncertainty sub types for lists of real


**Change History examples & proposals**

*2019-06-21*	

- defined categories of examples for platinum, gold, silver, bronze and improvable quality class
- added a file with examples used in the documentation of version 1.2 of the D-SI data model (*SmartCom_A1.2.3_examples.xml*)
- moved old examples of previous version of D-SI format to folder *examples_deprecated*
- removed proposals folder - use issue section to make proposals on changes (including the option to fork / merge requests)

- removed old examples folder *examples_deprecated*






